Subject: P. indra hybrid-URGENT

From: "David V. McCorkle" <[email-masked]>
Date: Thu, 4 May 1995 12:05:03 PDT

Has Papilio indra martini been crossbred to P. i. fordi by anyone?
We have a very narrow opportunity window but don't want to sacrifice
our penultimate living specimen of martini (legally taken two years
ago) if this cross has already been done.  (We are not asking for
hybrid specimens, but only interested in ensuring that information
on this hybrid is available in the body of scientific knowledge.)

If you wish, send your reply directly to my email address.

D.V. McCorkle
[email-masked]